Foreman - Bug #35300
Tracker # 32684 (Closed): Ruby 3.0 support

Incorrect method signatures with keyword arguments
07/31/2022 01:07 PM - Ewoud Kohl van Wijngaarden

Status: Closed
Priority: Normal
Assignee: Ewoud Kohl van Wijngaarden
Category: Rails
Target version:
Difficulty: Fixed in Releases: 3.5.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/9332,
https://github.com/theforeman/foreman/p
ull/9382,
https://github.com/theforeman/foreman/p
ull/9441,
https://github.com/theforeman/foreman/p
ull/9472
Description

In Ruby 3.0 keyword arguments are handled separate from positional arguments.
https://www.ruby-lang.org/en/news/2019/12/12/separation-of-positional-and-keyword-arguments-in-ruby-3-0/ has more about it.

Related issues:
Related to Ansible - Bug #35579: test/functional/api/v2/ansible_inventories_c... Closed

Has duplicate Foreman - Bug #32688: app/models/concerns/has_many_common.rb is... Duplicate

Associated revisions

Revision 9089087e - 09/12/2022 10:51 AM - Ewoud Kohl van Wijngaarden
Fixes #35300 - Pass keyword arguments correctly (#9332)

In Ruby 3.0 keyword arguments are handled separate from positional
arguments’. This uses kwargs and passes it along.

[1]: https://www.ruby-lang.org/en/news/2019/12/12/separation-of-positional-and-keyword-arguments-in-ruby-3-0/

Revision 6eaf16e1 - 09/29/2022 01:54 PM - Ewoud Kohl van Wijngaarden
Refs #35300 - Pass options as keyword arguments (#9441)

In 9089087ed7b2a7da33b73711aa5f457fe06adfc2 various keyword arguments
were fixed, but some remained.

Fixes: 9089087ed7b2a7da33b73711aa5f457fe06adfc2

Revision d7ce6881 - 11/01/2022 09:01 AM - Ewoud Kohl van Wijngaarden

Refs #35300 - Pass arguments as keyword arguments

History

#1 - 07/31/2022 01:19 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman/pull/9332 added

#2 - 09/05/2022 01:59 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/9382 added
#3 - 09/08/2022 04:14 PM - Ewoud Kohl van Wijngaarden
- Has duplicate Bug #32688: app/models/concerns/has_many_common.rb is incompatible with Ruby 3 added

#4 - 09/08/2022 04:15 PM - Ewoud Kohl van Wijngaarden
- Category set to Rails
- Parent task set to #32684

#5 - 09/12/2022 10:51 AM - The Foreman Bot
- Fixed in Releases 3.5.0 added

#6 - 09/12/2022 11:01 AM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|9089087ed7b2a7da33b73711aa5f457fe06adfc2.

#7 - 09/29/2022 01:22 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/9441 added

#8 - 09/29/2022 01:27 PM - Ewoud Kohl van Wijngaarden

- Related to Bug #35579: test/functional/api/v2/ansible_inventories_controller_test.rb doesn't use keyword arguments added

#9 - 10/19/2022 10:55 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/9472 added

#10 - 11/28/2022 01:39 PM - Ewoud Kohl van Wijngaarden

- Triaged changed from No to Yes
